/************************************************************************
*                        Version File                                   *
*************************************************************************
*									*
* This file is to document changes to STREAMS.  It contains the version	*
* number for STREAMS.  When you make a new version, bump the version	*
* number and add comments in here for what is in the new version.	*
*									*
* We declare a char array in this module that others can use to		*
* refer to the version number in ASCII string form.			*
*									*
* Copyright (C) 1997  David Grothe, Gcom, Inc <dave@gcom.com>		*
*									*
************************************************************************/
/*
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330, Cambridge,
 * MA 02139, USA.
 * 
 */

#ident "@(#) LiS version.c 2.4 6/24/99 16:07:00 "


char	lis_version[] = "2.4" ;
char	lis_date[]    = "6/24/99" ;

#if 0

1.2	Changes made as follows:

	Timeouts mapped correctly into local ticks
	Makefile fix for Red Hat 4.0
	getmsg with several blocks did not work correctly
	Needed prototype for flushband
	Needed to make lis_qdetach extern
	Fix problems with I_FIND, I_PEEK
	Code for I_FDINSERT from Eric Levenez
	Fix DEFAULT_RC_SEL in npi.h
	Read did not return when it ran out of queued data
	putmsg/write did not unblock when downstream flow control opened up
	Remove DMA attribute from memory allocation
	Put in stub for allocb_physreq()

1.3	Changes made as follows:

	Put magic number into queue structure so as to verify validity
	Check both read and write queues for sched list at close time
	Print out version number at boot time

1.4	Changes made as follows:
	Add initialization function for STREAMS drivers.  Declared
	in STREAMS config file.
	More modularity for packages.  Each package has its own config
	file.  All configs are concatenated together.

1.5	Changes made as follows:
	STREAMS subsystem made into loadable module.
	Fix bug in select() on STREAMS files not waking up properly.
	
1.6	Changes made as follows:
	lis_freeb had problem if dblk had ref cnt > 1.  It would sometimes
	free the mblk that contained the dblk that other mblks pointed
	to for benefit of the reference count.
	pullupmsg needs to fail if the mblk has use count > 1 since it
	is going to reassign the base/lim pointers in the dblk.

1.8	Add putnextctl and putnextctl1 functions

1.9	Add GNU Library license notice to all .c and .h files

1.10	For esballoc, keep the frtn structure in the dblk so the user does
        not have to allocate those structures.  NON-SVR4 feature.
	Fix race between strread, strputmmsg versus strrput if strrput were
	to get called at interrupt time.

1.11	Lower mux queues need arming at I_LINK time.
	ioctl with INFTIM was timing out.

1.12	Timeout callback functions changed to type void rather than int

1.13	Changed linux sys include files to linux include files to be able
	to compile on RedHat  5.0

1.14	Had to fix a problem in the 1.13 above
1.15	Had to fix a problem in the 1.14 above

1.16
1.17	putpmsg was misusing canput in such a way as to render it
	ineffective.

1.18	stream head write service routine did not perform correctly to
	wake up a blocked writer when canput blockage relieved.

1.19	open routine not calling driver open routine correctly for 2nd open
	when driver open failed, open freed an in-use queue structure
	bring driver MODOPEN, CLONEOPEN bits into conformance with SVR4
	MUST RECOMPILE DRIVERS w/NEW mod.h TO USE THIS VERSION OF LiS

1.20	Bug in poll using select for non-STREAMS files.
	Clear datap in new mblk in case cannot allocate dblk.
	Move stats printing out of stats.c and into streams.c utility.
	Remove syscall definitions from .h files.  Replace with prototypes.
	Introduce libc routines for getpmsg, putpmsg, poll. libLiS.a
	Use S_ZERO_WR flag for 2.0.36.
	Eliminate #ifdef LINUX in some .h files.
	Removed ()s from macros in stream.h.
	Now have a non-null tihdr.h.  Updates to dlpi.h.
	Delete some extraneous includes leading to dependency anomolies.
	Installation and build procedure now outside of kernel tree.

1.21
1.22
1.23	Fix problem with printk not working when installed as module.
	Eliminate SEM_INIT (2.1 kernel problems).
	Some changes for 2.1 compatibility (not ready for 2.1 yet, though).
	Finalize Configure script.

1.24	More changes for 2.1 compatibility.
	Prevent running of queues interrupting putnext operation.
	Ioctl default timeout now implemented (15 secs).

1.25	Candidate final changes for kernel version 2.2.x compatibility.
	Fixed bug in which stream head putpmsg did not send M_PCPROTO
	downstream if flow control blocked; it returned EAGAIN instead.
	Queues run either as bottom half or as kernel thread.

2.0
2.1
2.2	Much better support for loadable modules and kerneld.
	Support for 2.2.x kernels.
	The ldl driver has been used and tested more.
	Implementation of transparent ioctls.
	make sure getpmsg returns correct more bits not obscured by err codes
	ioctl to print queues, streams -q triggers it
	stream head flow ctl vs M_PCPROTO
	M_SETOPTS incorrect for hi/lo water and min/max psize
	run queues either as bottom half or kernel thread process (real time)
	fix problem  with noenable function
	fix a few minor problems with poll
	Installation improvements
	Documentation in html

2.3	Fix a few installation problems with 2.2.
	Get user mode working.
	Change prefix used by osif to "lis_" instead of "osif_".

2.4	Fix a few more installation problems.
	Ole has a start on a SAD driver.
	Updated ldl driver.
#endif
