/*
 *  sys/LiS/tpicommon.h
 *
 *  Copyright (C) 1998 Ole Husgaard <sparre@login.dknet.dk>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the
 *  Free Software Foundation, Inc., 59 Temple Place - Suite 330, Cambridge,
 *  MA 02139, USA.
 *
 *
 *  This header file contains some declarations that are common to both
 *  sys/tihdr.h and xti.h (or sys/tiuser.h if you are a bit old-fashioned).
 *
 *  You should never include this file directly.
 *
 */

#ident "@(#) LiS tpicommon.h 2.1 4/4/99 11:34:30 "

#ifndef _LIS_TPICOMMON_H
#define _LIS_TPICOMMON_H

typedef long t_scalar_t;
typedef unsigned long t_uscalar_t;

/*
 *  Transport service error numbers
 */
#define TBADADDR	 1 /* Bad address format			*/
#define TBADOPT		 2 /* Bad options format			*/
#define TACCES		 3 /* Bad permissions				*/
#define TBADF		 4 /* Bad file descriptor			*/
#define TNOADDR		 5 /* Unable to allocate an address		*/
#define TOUTSTATE	 6 /* Would place interface out of state	*/
#define TBADSEQ		 7 /* Bad call sequence number			*/
#define TSYSERR		 8 /* System error				*/
#define TLOOK		 9 /* Has to t_look() for event			*/
#define TBADDATA	10 /* Bad amount of data			*/
#define TBUFOVFLW	11 /* Buffer was too small			*/
#define TFLOW		12 /* Would block due to flow control		*/
#define TNODATA		13 /* No data indication			*/
#define TNODIS		14 /* No disconnect indication			*/
#define TNOUDERR	15 /* No unitdata error indication		*/
#define TBADFLAG	16 /* Bad flags					*/
#define TNOREL		17 /* No orderly release indication		*/
#define TNOTSUPPORT	18 /* Not supported				*/
#define TSTATECHNG	19 /* State is currently changing		*/
#define TNOSTRUCTYPE	20 /* Structure type not supported		*/
#define TBADNAME	21 /* Bad transport provider name		*/
#define TBADQLEN	22 /* Listener queue length limit is zero	*/
#define TADDRBUSY	23 /* Address already in use			*/
#define TINDOUT		24 /* Outstanding connect indications		*/
#define TPROVMISMATCH	25 /* Not same transport provider		*/
#define TRESQLEN	26 /* Connection acceptor has qlen > 0		*/
#define TRESADDR	27 /* Conn. acceptor bound to different address	*/
#define TQFULL		28 /* Connection indicator queue is full	*/
#define TPROTO		29 /* Protocol error				*/

/*
 *  Transport service types
 */
#define T_COTS		1	/* Connection oriented transport service */
#define T_COTS_ORD	2	/* COTS with orderly release		 */
#define T_CLTS		3	/* Connectionless transport service	 */

/*
 *  Options management flags
 */
#define T_NEGOTIATE	0x0004	/* Negotiate options			*/
#define T_CHECK		0x0008	/* Check options			*/
#define T_DEFAULT	0x0010	/* Get default options			*/
#define T_SUCCESS	0x0020	/* Succes				*/
#define T_FAILURE	0x0040	/* Failure				*/
#define T_CURRENT	0x0080	/* Get current options			*/

#define T_INFINITE	-1	/* No limit				*/
#define T_INVALID	-2	/* No sense				*/

#endif /* _LIS_TPICOMMON_H */
