#!/bin/sh

. config.in

DIR=`pwd`
#
# See to it that the patch for linking STREAMS with the kernel is present
#
cd $KSRC

if grep -q -s STREAMS init/main.c && grep -q -s STREAMS drivers/char/Makefile
then
    echo "LiS direct link patch already in the kernel."
    exit 0			# patch already present
fi

case $KVER in
    2.0.*)
	sed -e "s@LIS_HOME_DIR@$LIS_HOME@g" \
		$DIR/patches_ins.master >$DIR/patches_ins.klnk
	;;
    2.1.*)
	sed -e "s@LIS_HOME_DIR@$LIS_HOME@g" \
		$DIR/patches_ins.master.2.1 >$DIR/patches_ins.klnk
	;;
    2.2.*)
	if grep -q -s STREAMS drivers/char/Makefile
	then
	    echo "LiS direct link patch already in the kernel."
	    exit 0			# patch already present
	fi
	sed -e "s@LIS_HOME_DIR@$LIS_HOME@g" \
		$DIR/patches_ins.master.2.2 >$DIR/patches_ins.klnk
	;;
    *)	echo "Do not know how to insert the patch for direct kernel"
    	echo "linking into kernel version $KVER."
	exit 0
	;;
esac

patch -p1 <$DIR/patches_ins.klnk
