#
# common makefile for all environments
#
# This file is included from a target-specific makefile
# in a subdirectory below this directory.
# The makefile including this file should have defined:
#   - The LiS configuration.
#     config.mk in the top of the source tree should
#     have been included.
#   - LIBOBJS variable.
#     Contains the names of the object files that should be in the
#     library.
#

ifeq ($(LIS_SHLIB),y)
LIBFILE = lib$(LIBBASE).so
else
LIBFILE = lib$(LIBBASE).a
endif

LIB = $(LIBDIR)/$(LIBFILE)

CC = cc -c $(XOPTS)


all: $(LIB)

$(LIBDIR)/lib$(LIBBASE).so: $(LIBOBJS)
	ld -shared -o $@ $^

$(LIBDIR)/lib$(LIBBASE).a: $(LIBOBJS)
	-rm -f $@
	ar r $@ $^

%.o: %.c
	$(CC) -o $@ $<

%.o: $(LIBDIR)/%.c
	$(CC) -o $@ $<

clean:
	-rm -f *.o
	-rm -f $(LIB)

realclean: clean
	-rm -f .depend
	-rm -f $(LIBDIR)/*.so $(LIBDIR)/*.a

#
# You may have to be root to do the install and uninstall targets
#
install: all
	cp $(LIB) $(INST_LIB)/$(LIBFILE)

uninstall:
	-rm -f $(INST_LIB)/$(LIBFILE)

