#!/bin/sh

if [ -f config.in ]; then
. config.in
fi

if [ "$KSRC..." = "..." ]; then
    KSRC=${1:-/usr/src/linux}
fi

DIR=`pwd`

if ! grep -s -q __NR_putpmsg $KSRC/include/asm/unistd.h &&
   ! grep -s -q __NR_streams $KSRC/include/asm/unistd.h
then
    PRESENT=0
else
    PRESENT=1
fi

vers=`grep UTS_RELEASE $KSRC/include/linux/version.h | \
	sed -e 's/^.*UTS_RELEASE.//' -e's/"//g'`

case $vers in
    2.0.*)
	v=`echo $vers | sed -e 's/2\.0\.//'`
	if   [ $v -ge 36 ]; then		# 36 and up
	    if [ $PRESENT -eq 0 ]; then
		echo "STREAMS hooks should be standard in kernel version $vers"
		echo "but they are not present in your kernel."
	    fi
	    if ! grep -s -q exit_files $KSRC/kernel/ksyms.c; then
		exit 0		# patch not installed
	    fi
	    cd $KSRC
	    patch -p1 <$DIR/patches_rm.ksyms.36
	    exit $?
	elif [ $v -eq 35 ]; then		# 35
	    if [ $PRESENT -ne 0 ]; then
		cd $KSRC
		patch -p1 <$DIR/patches_rm.hooks
		exit $?
	    else
		exit 0
	    fi
	elif [ $v -ge 28 ]; then		# 28 - 34
	    if [ $PRESENT -ne 0 ]; then
	        cd $KSRC
	        patch -p1 -R <$DIR/patches.kernel.28-34
	        exit $?
	    else
		exit 0
	    fi
	else					# 27 or earlier
	    echo "Cannot remove STREAMS hooks from kernel version $vers"
	    echo "Must be at least kernel version 2.0.28.  Continuing..."
	    exit 0
	fi
	;;
    2.1.*)
	v=`echo $vers | sed -e 's/2\.0\.//'`
	if [ $v -ge 115 ]; then
	    if [ $PRESENT -eq 0 ]; then
		echo "STREAMS hooks should be standard in kernel version $vers"
		echo "but they are not present in your kernel."
	    fi
	fi
	exit 0
	;;
    2.2.*)
	if [ $PRESENT -eq 0 ]; then
	    echo "STREAMS hooks should be standard in kernel version $vers"
	    echo "but they are not present in your kernel."
	fi
	exit 0
	;;
    *)
	echo "cannot determine linux version from version.h"
	exit 1
	;;
esac
