#!/bin/sh

. config.in

DIR=`pwd`
#
# See to it that the patch for linking STREAMS with the kernel is removed
#
cd $KSRC

if grep -q -s STREAMS init/main.c ||
   grep -q -s STREAMS drivers/char/Makefile
then
    case $KVER in
	2.0.*)
	    sed -e "s@LIS_HOME_DIR@$LIS_HOME@g" \
		    $DIR/patches_rm.master >$DIR/patches_rm.klnk
	    ;;
	2.1.*)
	    sed -e "s@LIS_HOME_DIR@$LIS_HOME@g" \
		    $DIR/patches_rm.master.2.1 >$DIR/patches_rm.klnk
	    ;;
	2.2.*)
	    sed -e "s@LIS_HOME_DIR@$LIS_HOME@g" \
		    $DIR/patches_rm.master.2.2 >$DIR/patches_rm.klnk
	    ;;
	*)  echo "Do not know how to remove the patch for direct kernel"
	    echo "linking from kernel version $KVER."
	    exit 0
	    ;;
    esac
    patch -p1 <$DIR/patches_rm.klnk
else
    echo "LiS direct link patch not in the kernel."
fi

exit 0
